Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 79279 - Blank package name search returns junk on Advanced Search page
Summary: Blank package name search returns junk on Advanced Search page
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site
Version: RHN Devel
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Greg DeKoenigsberg
QA Contact: Fanny Augustin
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-09 14:39 UTC by Matt Jamison
Modified: 2007-04-18 16:48 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-12-10 17:35:15 UTC


Attachments (Terms of Use)

Description Josef Komenda 2002-12-09 14:39:36 UTC
Description of Problem: Should probably limit the package name search to 3
characters as well.

Comment 1 Josef Komenda 2002-12-09 14:45:13 UTC
Also, this may need to be optimized:

Additional comment by cturner@redhat.com on 2002-12-07 14:26:47

package search "works" but it doesn't behave like system search.  it still uses
the old query_into_set instead of the newer datasource-driven mechanism.  rob
and I have cleaned up the system search to be a bit more datasource-friendly. 
the errata and package search need to be done similarly, else we end up with the
same search mishmash we had before.  this should be an easy conversion; rob or I
can help if there are any questions with how we did things.  once that has been
done, I will optimize the queries to improve performance.  one of the problems
with the current search is that it should only store the latest versions of
packages in the set, not store all matches and expect the elaborator to filter
it as it seems to do now.

Comment 2 Chip Turner 2002-12-10 17:35:06 UTC
fixed.

now if you do a search w/o typing text in, it just takes you to the search page
of the appropriate type.

Comment 3 Josef Komenda 2002-12-10 23:13:39 UTC
Looks good on dev, closing.


Note You need to log in before you can comment on or make changes to this bug.